> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Custom Analysis Results

> List recent custom analysis results in reverse chronological order.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/role-mining/custom-analysis
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/role-mining/custom-analysis:
    get:
      tags:
        - Role Mining
      summary: List Custom Analysis Results
      description: List recent custom analysis results in reverse chronological order.
      operationId: >-
        c1.api.role_mining_management.v1.RoleMiningManagementService.ListCustomAnalysisResults
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.role_mining_management.v1.ListCustomAnalysisResultsResponse
          description: Successful response
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.roleMiningManagement.listCustomAnalysisResults();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.role_mining_management.v1.ListCustomAnalysisResultsResponse:
      description: The ListCustomAnalysisResultsResponse message.
      properties:
        list:
          description: The list field.
          items:
            $ref: >-
              #/components/schemas/c1.api.role_mining_management.v1.CustomAnalysisResultView
          type:
            - array
            - 'null'
        nextPageToken:
          description: The nextPageToken field.
          type:
            - string
            - 'null'
      title: List Custom Analysis Results Response
      type: object
      x-speakeasy-name-override: ListCustomAnalysisResultsResponse
    c1.api.role_mining_management.v1.CustomAnalysisResultView:
      description: >-
        CustomAnalysisResultView is a lightweight summary of a past custom
        analysis run.
      properties:
        cohortSize:
          description: Number of users in the cohort.
          format: int32
          type:
            - integer
            - 'null'
        completedAt:
          format: date-time
          type:
            - string
            - 'null'
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        errorMessage:
          description: Error message if the analysis failed, empty on success.
          type:
            - string
            - 'null'
        id:
          description: Unique identifier for this custom analysis result.
          type:
            - string
            - 'null'
        profileFilters:
          description: Profile filters that defined the cohort for this analysis.
          items:
            $ref: '#/components/schemas/c1.mcp.role_mining.v1.ProfileFilter'
          type:
            - array
            - 'null'
        status:
          description: >-
            Execution status of this analysis (e.g., running, completed,
            failed).
          enum:
            - RUN_STATUS_UNSPECIFIED
            - RUN_STATUS_RUNNING
            - RUN_STATUS_COMPLETED
            - RUN_STATUS_FAILED
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        suggestionsGenerated:
          description: Number of role suggestions generated.
          format: int32
          type:
            - integer
            - 'null'
      title: Custom Analysis Result View
      type: object
      x-speakeasy-name-override: CustomAnalysisResultView
    c1.mcp.role_mining.v1.ProfileFilter:
      description: |-
        ProfileFilter defines a filter on a user profile attribute.
         Use GetOrgOverview to discover available attribute keys and their values.
      properties:
        attribute:
          description: The attribute field.
          type:
            - string
            - 'null'
        values:
          description: The values field.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Profile Filter
      type: object
      x-speakeasy-name-override: ProfileFilter
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````